% This file was created by tikzplotlib v0.9.3.
\begin{tikzpicture}

\definecolor{color0}{rgb}{0.349019607843137,0.490196078431372,0.749019607843137}
\definecolor{color1}{rgb}{0.852941176470588,0.544117647058824,0.370588235294118}
\definecolor{color2}{rgb}{0.46078431372549,0.749019607843137,0.443137254901961}

\begin{axis}[
axis line style={white!15!black},
height=234.0pt,
legend cell align={left},
legend style={fill opacity=0.8, draw opacity=1, text opacity=1, at={(0.97,0.03)}, anchor=south east, draw=white!80!black},
tick align=outside,
tick pos=left,
width=312.0pt,
x grid style={white!80!black},
xlabel={Relative Latency of the Layer},
xmajorgrids,
xmin=0, xmax=0.517304539109847,
xtick style={color=white!15!black},
xtick={0,0.1,0.2,0.3,0.4,0.5,0.6},
xticklabels={0.0,0.1,0.2,0.3,0.4,0.5,0.6},
y dir=reverse,
y grid style={white!80!black},
ylabel={Layers},
ymin=-0.5, ymax=8.5,
ytick style={color=white!15!black},
ytick={0,1,2,3,4,5,6,7,8},
yticklabels={0\_CONV\_2D,1\_AVERAGE\_POOL\_2D,2\_CONV\_2D,3\_AVERAGE\_POOL\_2D,4\_RESHAPE,5\_FULLY\_CONNECTED,6\_FULLY\_CONNECTED,7\_FULLY\_CONNECTED,8\_SOFTMAX}
]
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,-0.4) rectangle (axis cs:0.364530805519727,-0.133333333333333);
\addlegendimage{ybar,ybar legend,draw=white,fill=color0,line width=0.32pt};
\addlegendentry{L4}

\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,0.6) rectangle (axis cs:0.0166113044861035,0.866666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,1.6) rectangle (axis cs:0.492670989628425,1.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,2.6) rectangle (axis cs:0.00691026026114458,2.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,3.6) rectangle (axis cs:0.00284202342880365,3.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,4.6) rectangle (axis cs:0.0998471650440836,4.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,5.6) rectangle (axis cs:0.0149389543615386,5.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,6.6) rectangle (axis cs:0.00136491333462904,6.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,7.6) rectangle (axis cs:0.000283583935544287,7.86666666666667);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,-0.133333333333333) rectangle (axis cs:0.375431255901954,0.133333333333333);
\addlegendimage{ybar,ybar legend,draw=white,fill=color1,line width=0.32pt};
\addlegendentry{F4}

\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,0.866666666666667) rectangle (axis cs:0.016088917973644,1.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,1.86666666666667) rectangle (axis cs:0.489974518815896,2.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,2.86666666666667) rectangle (axis cs:0.00666274474567134,3.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,3.86666666666667) rectangle (axis cs:0.00306859236378247,4.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,4.86666666666667) rectangle (axis cs:0.0933292870863122,5.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,5.86666666666667) rectangle (axis cs:0.0139527708032761,6.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,6.86666666666667) rectangle (axis cs:0.00125456262386687,7.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,7.86666666666667) rectangle (axis cs:0.000237349685596434,8.13333333333333);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,0.133333333333333) rectangle (axis cs:0.372339360946272,0.4);
\addlegendimage{ybar,ybar legend,draw=white,fill=color2,line width=0.32pt};
\addlegendentry{F7}

\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,1.13333333333333) rectangle (axis cs:0.0228011888440793,1.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,2.13333333333333) rectangle (axis cs:0.411066857468803,2.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,3.13333333333333) rectangle (axis cs:0.00980195939116773,3.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,4.13333333333333) rectangle (axis cs:0.00330234466471195,4.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,5.13333333333333) rectangle (axis cs:0.155020064245614,5.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,6.13333333333333) rectangle (axis cs:0.0231114091004613,6.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,7.13333333333333) rectangle (axis cs:0.00210149205936215,7.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,8.13333333333333) rectangle (axis cs:0.000455323279528465,8.4);
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan -0.266666666666667
nan -0.266666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 0.733333333333333
nan 0.733333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 1.73333333333333
nan 1.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 2.73333333333333
nan 2.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 3.73333333333333
nan 3.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 4.73333333333333
nan 4.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 5.73333333333333
nan 5.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 6.73333333333333
nan 6.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 7.73333333333333
nan 7.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 0
nan 0
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 1
nan 1
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 2
nan 2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 3
nan 3
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 4
nan 4
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 5
nan 5
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 6
nan 6
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 7
nan 7
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 8
nan 8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 0.266666666666667
nan 0.266666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 1.26666666666667
nan 1.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 2.26666666666667
nan 2.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 3.26666666666667
nan 3.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 4.26666666666667
nan 4.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 5.26666666666667
nan 5.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 6.26666666666667
nan 6.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 7.26666666666667
nan 7.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 8.26666666666667
nan 8.26666666666667
};
\end{axis}

\end{tikzpicture}
